[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sqldb' (#fcl)

# TSQLStatement.Transaction

The transaction in which the SQL statement should be executed.

## Declaration

Source position: sqldb.pp line 288

`published property TSQLStatement.Transaction : TSQLTransaction;`

## Description

Transaction should be set to a transaction connected to the instance of the database set in the Database property. This must be set before Prepare is called.

## See also

Database
Prepare |  | Prepare the statement for execution
TSQLTransaction |  | Transaction in which a TSQLQuery is handled

Documentation generated on: Feb 26 2014